* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  background-color: #10141e;
  height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  #form-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 43px;
    width: 100%;
    max-width: 425px;
    padding-inline: 20px;

    .header-div {
      svg {
        color: rgb(252, 71, 71);
        font-size: 25px;
      }
    }

    form {
      background: #161d2f;
      padding-block: 30px;
      padding-inline: 30px;
      width: 100%;
      border-radius: 10px;
      display: flex;
      flex-direction: column;
      gap: 30px;

      h1 {
        font-size: 22px;
        font-family: system-ui;
        font-weight: 100;
        color: white;
      }

      .email-div,
      .password-div,
      .userName-div {
        position: relative;
        z-index: 1;

        p {
          position: absolute;
          top: 29%;
          transform: translateY(-50%);
          color: #ffffff80;
          font-size: 14px;
          font-family: system-ui;
          font-weight: 100;
          padding-left: 5px;
          z-index: -1;
          transition-duration: 0.2s;

          &.active {
            top: -6%;
            font-size: 13px;
          }
        }
      }

      .email-div,
      .password-div,
      .userName-div {
        .email-text,
        .password-text,
        .userName-text {
          position: relative;

          span {
            font-size: 13px;
            font-family: system-ui;
            /* font-weight: 100; */
          }
        }
      }

      .email-input,
      .password-input,
      .userName-input {
        border-bottom: 1px solid rgba(255, 255, 255, 0.5);
        caret-color: #fc4747;
        padding-block: 10px;
        padding-left: 5px;
        color: white;
        background-color: transparent !important;
        margin-bottom: 3px;

        &:focus {
          border-bottom: 1px solid #ffffff97;
        }
      }

      input {
        width: 100%;
        border: hidden;
        background-color: transparent;

        &:focus {
          outline: none;
        }
      }

      .submit-button {
        background-color: #fc4747;
        color: white;
        font-size: 15px;
        font-family: system-ui;
        font-weight: 100;
        padding-block: 10px;
        border-radius: 10px;
        cursor: pointer;
        transition: transform 0.2s ease;

        &:active {
          transform: scale(0.96);
        }
      }
    }
  }
}

@media (min-width: 768px) {
  #form-section {
    max-width: 455px;

    .header-div {
      svg {
        color: rgb(252, 71, 71);
        font-size: 30px !important;
      }
    }

    form {
      gap: 36px !important;

      h1 {
        font-size: 24px !important;
      }
    }
  }
}
